Subject: bug#27624: closed (Re: bug#27624: Implement Info-number-index-items)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Sep 2019 02:10:03 +0000

Your bug report

#27624: Implement Info-number-index-items

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27624: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27624
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27624: Implement Info-number-index-items
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked],積丹尼 Dan Jacobson <[email-masked]>
Date: Sun, 29 Sep 2019 04:09:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> And I don't think this report has anything to do with Emacs, you
> should report this to the Texinfo mailing list.

Since this is unrelated to Emacs, I'm now closing this bug.

Best regards,
Stefan Kangas

Subject: Implement Info-number-index-items
From: 積丹尼 Dan Jacobson <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Sun, 09 Jul 2017 02:12:49 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Don't you think it is weird for an Info page to say

  5.17 Android shell setup hints
  ==============================

but then in its parent index, one only sees

  Configuring TRAMP for use

  * Remote shell setup::          Remote shell setup hints.
  * Android shell setup::         Android shell setup hints.
  * Auto-save and Backup::        Auto-save and Backup.

Therefore I hereby propose there be created

  (defcustom Info-number-index-items 'full
    "'basic means to put the subsection number in front of index items.
    'full means to put the full index number in front of index items...

Thus one could see

  5 Configuring TRAMP for use

  * 16 Remote shell setup::          Remote shell setup hints.
  * 17 Android shell setup::         Android shell setup hints.
  * 18 Auto-save and Backup::        Auto-save and Backup.

Or

  5 Configuring TRAMP for use

  * 5.16 Remote shell setup::          Remote shell setup hints.
  * 5.17 Android shell setup::         Android shell setup hints.
  * 5.18 Auto-save and Backup::        Auto-save and Backup.

In fact, I can't think of any book or online document that doesn't
number their chapters or indexes.